Closed Bug 527622 Opened 10 years ago Closed 9 years ago

xpcshell-tests: Intermittent failure in test_sorting.js

Categories

(Toolkit :: Places, defect)

x86
Windows Server 2003
defect
Not set

Tracking

()

RESOLVED FIXED

People

(Reporter: philor, Unassigned)

References

Details

(Keywords: intermittent-failure, Whiteboard: [workarounded by bug521225 on trunk])

Reasonably sure this isn't the first time I've seen it, though of course depending on other people to actually file the things that happen during their pushes is a bad bet.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257802416.1257808204.23538.gz&fulltext=1
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/09 13:33:36  

Sadly, my connection isn't good enough to manage to load a full build log at the moment, so I can't tell you what's hiding behind

TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\xpcshell\tests\test_places\queries\test_sorting.js | test failed (with xpcshell return code: 0), see following log:

but perhaps once they don't have to file it, someone will choose not to just ignore the orange, and will copy-paste the details.
Whiteboard: [orange]
most likely due to bug 507790
Blocks: 438871
Depends on: 507790
Summary: Intermittent failure in test_sorting.js → xpcshell-tests: Intermittent failure in test_sorting.js
*** PLACES TESTS: Sorting test 10: SORT BY ANNOTATION (int32)
TEST-PASS | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/head_queries.js | [anonymous : 167] true == true
TEST-PASS | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/head_queries.js | [anonymous : 167] true == true
TEST-PASS | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/head_queries.js | [anonymous : 167] true == true
TEST-PASS | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/head_queries.js | [anonymous : 167] true == true
*** PLACES TESTS: Comparing Array to Results
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/head_queries.js | 4 == 8 - See following stack:
JS frame :: e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\xpcshell\head.js :: do_throw :: line 201
JS frame :: e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\xpcshell\head.js :: do_check_eq :: line 231
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/head_queries.js :: compareArrayToResult :: line 396
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/test_sorting.js :: anonymous :: line 958
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/test_sorting.js :: run_test :: line 1233
JS frame :: e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\xpcshell\head.js :: _execute_test :: line 129
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257986719.1257992406.20502.gz#err559
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/11 16:45:19
Depends on: 531151
while working on bug 531151 i have reached a point where this random failure is persistent.
not sure if it's completely related, but worth an investigation.
the persistent failure was actually due to my error, the failing tests is sorting items by annotation. if 2 annotations are equal it fallbacks to sorting by title, due to bug 507790 we most likely are missing the anno or the title due to a bogus sync state.
Could be bug 531151 will help removing UNION ALL usage from annotations service, but we should probably just workaround this disabling sync on it, since the error looks like due to a duped entry (most likely moved from temp to disk between the 2 queries parts)
(In reply to comment #6)
> Could be bug 531151 will help removing UNION ALL usage from annotations
> service, but we should probably just workaround this disabling sync on it,
> since the error looks like due to a duped entry (most likely moved from temp to
> disk between the 2 queries parts)
Do it (for now)
workarounded on trunk
Whiteboard: [orange] → [orange][workarounded by bug521225 on trunk]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265205876.1265208574.28705.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/02/03 06:04:36
s: win32-slave35
TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-xpcshell\build\xpcshell\tests\test_places\queries\test_sorting.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-xpcshell/build/xpcshell/tests/test_places/queries/head_queries.js | Expected http://is.com/ found http://moz.com/ - See following stack:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265205876.1265208574.28705.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265903518.1265906026.9386.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/02/11 07:51:58
s: win32-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266766858.1266769225.15610.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/02/21 07:40:58
s: win32-slave39

(In reply to comment #10)
> workarounded on trunk

Mak: Looks like your workaround got un-stuck (or perhaps these new failures since comment 11 are a different issue?)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266770187.1266772916.29204.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/02/21 08:36:27
s: win32-slave23
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267228859.1267231596.5127.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/02/26 16:00:59
s: win32-slave28
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269994694.1269995515.30947.gz
Linux mozilla-central opt test xpcshell on 2010/03/30 17:18:14
s: mv-moz2-linux-ix-slave08
(In reply to comment #14)
> Mak: Looks like your workaround got un-stuck (or perhaps these new failures
> since comment 11 are a different issue?)

well syncs are still disabled, so this could just be a different issue, probably it just needs to wait for clear history.
i think this could fix the problem, and bring us back to previous "workarounded status"
http://hg.mozilla.org/mozilla-central/rev/991cb1faa3d0
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1277441003.1277441443.27537.gz
Linux mozilla-1.9.1 test xpcshell on 2010/06/24 21:43:23

s: mv-moz2-linux-ix-slave12
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.1-linux-unittest-xpcshell/build/xpcshell/tests/test_places/queries/test_sorting.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.1-linux-unittest-xpcshell/build/xpcshell/tests/test_places/queries/head_queries.js | 4 == 5 - See following stack:
Resolving Places oranges that don't appear on central from at least 6 months.
Check dependencies for bugs that could have fixed the issue.
Please reopen if they re-appear in central.
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → FIXED
Whiteboard: [orange][workarounded by bug521225 on trunk] → [workarounded by bug521225 on trunk]
You need to log in before you can comment on or make changes to this bug.